aws-0.24.2: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.GetObject

# Documentation

data GetObject #

Constructors

GetObject |

Fields

- goBucket :: Bucket
- goObjectName :: Object
- goVersionId :: Maybe Text
- goResponseContentType :: Maybe Text
- goResponseContentLanguage :: Maybe Text
- goResponseExpires :: Maybe Text
- goResponseCacheControl :: Maybe Text
- goResponseContentDisposition :: Maybe Text
- goResponseContentEncoding :: Maybe Text
- goResponseContentRange :: Maybe (Int, Int)
- goIfMatch :: Maybe Text

  Return the object only if its entity tag (ETag, which is an md5sum of the content) is the same as the one specified; otherwise, catch a `StatusCodeException` with a status of 412 precondition failed.

- goIfNoneMatch :: Maybe Text

  Return the object only if its entity tag (ETag, which is an md5sum of the content) is different from the one specified; otherwise, catch a `StatusCodeException` with a status of 304 not modified.

#### Instances

Instances details

SignQuery GetObject # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.GetObject

Associated Types

type ServiceConfiguration GetObject |
Instance details Defined in Aws.S3.Commands.GetObject type ServiceConfiguration GetObject = S3Configuration

Methods

signQuery :: GetObject -> ServiceConfiguration GetObject queryType -> SignatureData -> SignedQuery #

Show GetObject # |
Instance details Defined in Aws.S3.Commands.GetObject Methods showsPrec :: Int -> GetObject -> ShowS # show :: GetObject -> String # showList :: [GetObject] -> ShowS #
ResponseConsumer GetObject GetObjectResponse # |

Instance details

Defined in Aws.S3.Commands.GetObject

Associated Types

type ResponseMetadata GetObjectResponse |
Instance details Defined in Aws.S3.Commands.GetObject type ResponseMetadata GetObjectResponse = S3Metadata

Methods

responseConsumer :: Request -> GetObject -> IORef (ResponseMetadata GetObjectResponse) -> HTTPResponseConsumer GetObjectResponse #

Transaction GetObject GetObjectResponse # |
Instance details Defined in Aws.S3.Commands.GetObject
type ServiceConfiguration GetObject # |
Instance details Defined in Aws.S3.Commands.GetObject type ServiceConfiguration GetObject = S3Configuration

getObject :: Bucket -> Text -> GetObject #

data GetObjectResponse #

Constructors

GetObjectResponse |

Fields

- gorMetadata :: ObjectMetadata
- gorResponse :: Response (ConduitM () ByteString (ResourceT IO) ())

#### Instances

Instances details

AsMemoryResponse GetObjectResponse # |

Instance details

Defined in Aws.S3.Commands.GetObject

Associated Types

type MemoryResponse GetObjectResponse |
Instance details Defined in Aws.S3.Commands.GetObject type MemoryResponse GetObjectResponse = GetObjectMemoryResponse

Methods

loadToMemory :: GetObjectResponse -> ResourceT IO (MemoryResponse GetObjectResponse) #

ResponseConsumer GetObject GetObjectResponse # |

Instance details

Defined in Aws.S3.Commands.GetObject

Associated Types

type ResponseMetadata GetObjectResponse |
Instance details Defined in Aws.S3.Commands.GetObject type ResponseMetadata GetObjectResponse = S3Metadata

Methods

responseConsumer :: Request -> GetObject -> IORef (ResponseMetadata GetObjectResponse) -> HTTPResponseConsumer GetObjectResponse #

Transaction GetObject GetObjectResponse # |
Instance details Defined in Aws.S3.Commands.GetObject
type MemoryResponse GetObjectResponse # |
Instance details Defined in Aws.S3.Commands.GetObject type MemoryResponse GetObjectResponse = GetObjectMemoryResponse
type ResponseMetadata GetObjectResponse # |
Instance details Defined in Aws.S3.Commands.GetObject type ResponseMetadata GetObjectResponse = S3Metadata

data GetObjectMemoryResponse #

Constructors

GetObjectMemoryResponse ObjectMetadata (Response ByteString) |

#### Instances

Instances details

Show GetObjectMemoryResponse # |
Instance details Defined in Aws.S3.Commands.GetObject Methods showsPrec :: Int -> GetObjectMemoryResponse -> ShowS # show :: GetObjectMemoryResponse -> String # showList :: [GetObjectMemoryResponse] -> ShowS #